Skip to content
This repository
Browse code

Clean up gemspecs

Organized the gemspec files a bit.

 * Made quotes more consistent (single quotes dominated, so I used
   that).
 * Moved license line down a line, separating it logically, and removed
   the extra whitespace before its = operator.
 * Minor whitespace fixes.
  • Loading branch information...
commit a96a1769302c2974c8e0faf66089c8101807715d 1 parent 772883c
Vinny Diehl authored November 08, 2012
17  actionmailer/actionmailer.gemspec
... ...
@@ -1,4 +1,4 @@
1  
-version = File.read(File.expand_path("../../RAILS_VERSION", __FILE__)).strip
  1
+version = File.read(File.expand_path('../../RAILS_VERSION', __FILE__)).strip
2 2
 
3 3
 Gem::Specification.new do |s|
4 4
   s.platform    = Gem::Platform::RUBY
@@ -6,17 +6,20 @@ Gem::Specification.new do |s|
6 6
   s.version     = version
7 7
   s.summary     = 'Email composition, delivery, and receiving framework (part of Rails).'
8 8
   s.description = 'Email on Rails. Compose, deliver, receive, and test emails using the familiar controller/view pattern. First-class support for multipart email and attachments.'
  9
+
9 10
   s.required_ruby_version = '>= 1.9.3'
10  
-  s.license     = 'MIT'
11 11
 
12  
-  s.author            = 'David Heinemeier Hansson'
13  
-  s.email             = 'david@loudthinking.com'
14  
-  s.homepage          = 'http://www.rubyonrails.org'
  12
+  s.license = 'MIT'
  13
+
  14
+  s.author   = 'David Heinemeier Hansson'
  15
+  s.email    = 'david@loudthinking.com'
  16
+  s.homepage = 'http://www.rubyonrails.org'
15 17
 
16 18
   s.files        = Dir['CHANGELOG.md', 'README.rdoc', 'MIT-LICENSE', 'lib/**/*']
17 19
   s.require_path = 'lib'
18 20
   s.requirements << 'none'
19 21
 
20  
-  s.add_dependency('actionpack',  version)
21  
-  s.add_dependency('mail',        '~> 2.4.4')
  22
+  s.add_dependency 'actionpack', version
  23
+
  24
+  s.add_dependency 'mail', '~> 2.4.4'
22 25
 end
28  actionpack/actionpack.gemspec
... ...
@@ -1,4 +1,4 @@
1  
-version = File.read(File.expand_path("../../RAILS_VERSION", __FILE__)).strip
  1
+version = File.read(File.expand_path('../../RAILS_VERSION', __FILE__)).strip
2 2
 
3 3
 Gem::Specification.new do |s|
4 4
   s.platform    = Gem::Platform::RUBY
@@ -6,24 +6,26 @@ Gem::Specification.new do |s|
6 6
   s.version     = version
7 7
   s.summary     = 'Web-flow and rendering framework putting the VC in MVC (part of Rails).'
8 8
   s.description = 'Web apps on Rails. Simple, battle-tested conventions for building and testing MVC web applications. Works with any Rack-compatible server.'
  9
+
9 10
   s.required_ruby_version = '>= 1.9.3'
10  
-  s.license     = 'MIT'
11 11
 
12  
-  s.author            = 'David Heinemeier Hansson'
13  
-  s.email             = 'david@loudthinking.com'
14  
-  s.homepage          = 'http://www.rubyonrails.org'
  12
+  s.license = 'MIT'
  13
+
  14
+  s.author   = 'David Heinemeier Hansson'
  15
+  s.email    = 'david@loudthinking.com'
  16
+  s.homepage = 'http://www.rubyonrails.org'
15 17
 
16 18
   s.files        = Dir['CHANGELOG.md', 'README.rdoc', 'MIT-LICENSE', 'lib/**/*']
17 19
   s.require_path = 'lib'
18 20
   s.requirements << 'none'
19 21
 
20  
-  s.add_dependency('activesupport', version)
21  
-  s.add_dependency('builder',       '~> 3.1.0')
22  
-  s.add_dependency('rack',          '~> 1.4.1')
23  
-  s.add_dependency('rack-test',     '~> 0.6.1')
24  
-  s.add_dependency('journey',       '~> 2.0.0')
25  
-  s.add_dependency('erubis',        '~> 2.7.0')
  22
+  s.add_dependency 'activesupport', version
  23
+  s.add_dependency 'builder',       '~> 3.1.0'
  24
+  s.add_dependency 'rack',          '~> 1.4.1'
  25
+  s.add_dependency 'rack-test',     '~> 0.6.1'
  26
+  s.add_dependency 'journey',       '~> 2.0.0'
  27
+  s.add_dependency 'erubis',        '~> 2.7.0'
26 28
 
27  
-  s.add_development_dependency('activemodel', version)
28  
-  s.add_development_dependency('tzinfo', '~> 0.3.33')
  29
+  s.add_development_dependency 'activemodel', version
  30
+  s.add_development_dependency 'tzinfo',      '~> 0.3.33'
29 31
 end
14  activemodel/activemodel.gemspec
@@ -8,15 +8,17 @@ Gem::Specification.new do |s|
8 8
   s.description = 'A toolkit for building modeling frameworks like Active Record. Rich support for attributes, callbacks, validations, observers, serialization, internationalization, and testing.'
9 9
 
10 10
   s.required_ruby_version = '>= 1.9.3'
11  
-  s.license     = 'MIT'
12 11
 
13  
-  s.author            = 'David Heinemeier Hansson'
14  
-  s.email             = 'david@loudthinking.com'
15  
-  s.homepage          = 'http://www.rubyonrails.org'
  12
+  s.license = 'MIT'
  13
+
  14
+  s.author   = 'David Heinemeier Hansson'
  15
+  s.email    = 'david@loudthinking.com'
  16
+  s.homepage = 'http://www.rubyonrails.org'
16 17
 
17 18
   s.files        = Dir['CHANGELOG.md', 'MIT-LICENSE', 'README.rdoc', 'lib/**/*']
18 19
   s.require_path = 'lib'
19 20
 
20  
-  s.add_dependency('activesupport', version)
21  
-  s.add_dependency('builder',       '~> 3.1.0')
  21
+  s.add_dependency 'activesupport', version
  22
+
  23
+  s.add_dependency 'builder', '~> 3.1.0'
22 24
 end
21  activerecord/activerecord.gemspec
... ...
@@ -1,4 +1,4 @@
1  
-version = File.read(File.expand_path("../../RAILS_VERSION", __FILE__)).strip
  1
+version = File.read(File.expand_path('../../RAILS_VERSION', __FILE__)).strip
2 2
 
3 3
 Gem::Specification.new do |s|
4 4
   s.platform    = Gem::Platform::RUBY
@@ -8,21 +8,22 @@ Gem::Specification.new do |s|
8 8
   s.description = 'Databases on Rails. Build a persistent domain model by mapping database tables to Ruby classes. Strong conventions for associations, validations, aggregations, migrations, and testing come baked-in.'
9 9
 
10 10
   s.required_ruby_version = '>= 1.9.3'
11  
-  s.license     = 'MIT'
12 11
 
13  
-  s.author            = 'David Heinemeier Hansson'
14  
-  s.email             = 'david@loudthinking.com'
15  
-  s.homepage          = 'http://www.rubyonrails.org'
  12
+  s.license = 'MIT'
  13
+
  14
+  s.author   = 'David Heinemeier Hansson'
  15
+  s.email    = 'david@loudthinking.com'
  16
+  s.homepage = 'http://www.rubyonrails.org'
16 17
 
17 18
   s.files        = Dir['CHANGELOG.md', 'MIT-LICENSE', 'README.rdoc', 'examples/**/*', 'lib/**/*']
18 19
   s.require_path = 'lib'
19 20
 
20  
-  s.extra_rdoc_files = %w( README.rdoc )
  21
+  s.extra_rdoc_files = %w(README.rdoc)
21 22
   s.rdoc_options.concat ['--main',  'README.rdoc']
22 23
 
23  
-  s.add_dependency('activesupport', version)
24  
-  s.add_dependency('activemodel',   version)
25  
-  s.add_dependency('arel',          '~> 3.0.2')
  24
+  s.add_dependency 'activesupport', version
  25
+  s.add_dependency 'activemodel',   version
26 26
 
27  
-  s.add_dependency('activerecord-deprecated_finders', '0.0.1')
  27
+  s.add_dependency 'arel',                            '~> 3.0.2'
  28
+  s.add_dependency 'activerecord-deprecated_finders', '0.0.1'
28 29
 end
19  activesupport/activesupport.gemspec
... ...
@@ -1,4 +1,4 @@
1  
-version = File.read(File.expand_path("../../RAILS_VERSION", __FILE__)).strip
  1
+version = File.read(File.expand_path('../../RAILS_VERSION', __FILE__)).strip
2 2
 
3 3
 Gem::Specification.new do |s|
4 4
   s.platform    = Gem::Platform::RUBY
@@ -8,19 +8,20 @@ Gem::Specification.new do |s|
8 8
   s.description = 'A toolkit of support libraries and Ruby core extensions extracted from the Rails framework. Rich support for multibyte strings, internationalization, time zones, and testing.'
9 9
 
10 10
   s.required_ruby_version = '>= 1.9.3'
11  
-  s.license     = 'MIT'
12 11
 
13  
-  s.author       = 'David Heinemeier Hansson'
14  
-  s.email        = 'david@loudthinking.com'
15  
-  s.homepage     = 'http://www.rubyonrails.org'
  12
+  s.license = 'MIT'
  13
+
  14
+  s.author   = 'David Heinemeier Hansson'
  15
+  s.email    = 'david@loudthinking.com'
  16
+  s.homepage = 'http://www.rubyonrails.org'
16 17
 
17 18
   s.files        = Dir['CHANGELOG.md', 'MIT-LICENSE', 'README.rdoc', 'lib/**/*']
18 19
   s.require_path = 'lib'
19 20
 
20 21
   s.rdoc_options.concat ['--encoding',  'UTF-8']
21 22
 
22  
-  s.add_dependency('i18n',       '~> 0.6')
23  
-  s.add_dependency('multi_json', '~> 1.3')
24  
-  s.add_dependency('tzinfo',     '~> 0.3.33')
25  
-  s.add_dependency('minitest',   '~> 4.1')
  23
+  s.add_dependency 'i18n',       '~> 0.6'
  24
+  s.add_dependency 'multi_json', '~> 1.3'
  25
+  s.add_dependency 'tzinfo',     '~> 0.3.33'
  26
+  s.add_dependency 'minitest',   '~> 4.1'
26 27
 end
22  rails.gemspec
... ...
@@ -1,4 +1,4 @@
1  
-version = File.read(File.expand_path("../RAILS_VERSION",__FILE__)).strip
  1
+version = File.read(File.expand_path('../RAILS_VERSION', __FILE__)).strip
2 2
 
3 3
 Gem::Specification.new do |s|
4 4
   s.platform    = Gem::Platform::RUBY
@@ -8,8 +8,9 @@ Gem::Specification.new do |s|
8 8
   s.description = 'Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.'
9 9
 
10 10
   s.required_ruby_version     = '>= 1.9.3'
11  
-  s.required_rubygems_version = ">= 1.8.11"
12  
-  s.license     = 'MIT'
  11
+  s.required_rubygems_version = '>= 1.8.11'
  12
+
  13
+  s.license = 'MIT'
13 14
 
14 15
   s.author   = 'David Heinemeier Hansson'
15 16
   s.email    = 'david@loudthinking.com'
@@ -19,11 +20,12 @@ Gem::Specification.new do |s|
19 20
   s.executables = []
20 21
   s.files       = Dir['guides/**/*']
21 22
 
22  
-  s.add_dependency('activesupport',   version)
23  
-  s.add_dependency('actionpack',      version)
24  
-  s.add_dependency('activerecord',    version)
25  
-  s.add_dependency('actionmailer',    version)
26  
-  s.add_dependency('railties',        version)
27  
-  s.add_dependency('bundler',         '~> 1.2')
28  
-  s.add_dependency('sprockets-rails', '~> 2.0.0.rc1')
  23
+  s.add_dependency 'activesupport', version
  24
+  s.add_dependency 'actionpack',    version
  25
+  s.add_dependency 'activerecord',  version
  26
+  s.add_dependency 'actionmailer',  version
  27
+  s.add_dependency 'railties',      version
  28
+
  29
+  s.add_dependency 'bundler',         '~> 1.2'
  30
+  s.add_dependency 'sprockets-rails', '~> 2.0.0.rc1'
29 31
 end
31  railties/railties.gemspec
... ...
@@ -1,4 +1,4 @@
1  
-version = File.read(File.expand_path("../../RAILS_VERSION", __FILE__)).strip
  1
+version = File.read(File.expand_path('../../RAILS_VERSION', __FILE__)).strip
2 2
 
3 3
 Gem::Specification.new do |s|
4 4
   s.platform    = Gem::Platform::RUBY
@@ -6,24 +6,27 @@ Gem::Specification.new do |s|
6 6
   s.version     = version
7 7
   s.summary     = 'Tools for creating, working with, and running Rails applications.'
8 8
   s.description = 'Rails internals: application bootup, plugins, generators, and rake tasks.'
  9
+
9 10
   s.required_ruby_version = '>= 1.9.3'
10  
-  s.license     = 'MIT'
11 11
 
12  
-  s.author            = 'David Heinemeier Hansson'
13  
-  s.email             = 'david@loudthinking.com'
14  
-  s.homepage          = 'http://www.rubyonrails.org'
  12
+  s.license = 'MIT'
  13
+
  14
+  s.author   = 'David Heinemeier Hansson'
  15
+  s.email    = 'david@loudthinking.com'
  16
+  s.homepage = 'http://www.rubyonrails.org'
15 17
 
16  
-  s.files              = Dir['CHANGELOG.md', 'README.rdoc', 'bin/**/*', 'lib/**/{*,.[a-z]*}']
17  
-  s.require_path       = 'lib'
  18
+  s.files        = Dir['CHANGELOG.md', 'README.rdoc', 'bin/**/*', 'lib/**/{*,.[a-z]*}']
  19
+  s.require_path = 'lib'
18 20
 
19  
-  s.bindir             = 'bin'
20  
-  s.executables        = ['rails']
  21
+  s.bindir      = 'bin'
  22
+  s.executables = ['rails']
21 23
 
22 24
   s.rdoc_options << '--exclude' << '.'
23 25
 
24  
-  s.add_dependency('rake',          '>= 0.8.7')
25  
-  s.add_dependency('thor',          '>= 0.15.4', '< 2.0')
26  
-  s.add_dependency('rdoc',          '~> 3.4')
27  
-  s.add_dependency('activesupport', version)
28  
-  s.add_dependency('actionpack',    version)
  26
+  s.add_dependency 'activesupport', version
  27
+  s.add_dependency 'actionpack',    version
  28
+
  29
+  s.add_dependency 'rake', '>= 0.8.7'
  30
+  s.add_dependency 'thor', '>= 0.15.4', '< 2.0'
  31
+  s.add_dependency 'rdoc', '~> 3.4'
29 32
 end

0 notes on commit a96a176

Please sign in to comment.
Something went wrong with that request. Please try again.